//
//  BarcodePickerController.h
//  ScanditBarcodeScanner
//
//  Created by Moritz Hartmeier on 20/08/15.
//  Copyright (c) 2015 Scandit AG. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "BarcodePickerController2.h"


@class BarcodePickerController;


@interface CameraOverlayViewController : UIViewController { }

@property (readonly, assign) BarcodePickerController *parentPicker;

- (void)barcodePickerController:(BarcodePickerController*)picker
                  statusUpdated:(NSDictionary*)status;
@end


@interface BarcodePickerController : BarcodePickerController2

@property (nonatomic, strong) CameraOverlayViewController *overlay;

@property (nonatomic, assign) CGRect activeRegion;
@property (nonatomic, assign) UIImageOrientation orientation;
@property (nonatomic, assign) BOOL torchState;

@end
